View Issue Details

IDProjectCategoryView StatusLast Update
0005944libmicrohttpdbuild systempublic2021-09-02 17:54
Reporterpierrey Assigned ToChristian Grothoff  
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformWin32OSWindows 7OS Version7
Product Version0.9.66 
Target Version0.9.69Fixed in Version0.9.69 
Summary0005944: Cannot build with Visual Studio 2017
DescriptionLinker says symbol _MHD_send_on_connection2_ cannot be resolved.
Steps To Reproduce# Start the Visual Studio 2017 Developer Command Line
C:\Users\Pierre\> git clone https://git.gnunet.org/libmicrohttpd.git
C:\Users\Pierre\> cd libmicrohttpd\w32\VS2017
C:\Users\Pierre\> msbuild /m /v:n /p:Configuration="Release-static" /p:Platform=Win32 libmicrohttpd.sln
Additional InformationFound a fix, mhd_send.{c,h} must be referenced in w32\common\libmicrohttpd-files.vcxproj :

 w32/common/libmicrohttpd-files.vcxproj | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/w32/common/libmicrohttpd-files.vcxproj b/w32/common/libmicrohttpd-files.vcxproj
index 512c18bb..e4f2cada 100644
--- a/w32/common/libmicrohttpd-files.vcxproj
+++ b/w32/common/libmicrohttpd-files.vcxproj
@@ -21,6 +21,7 @@
     <ClCompile Include="$(MhdSrc)microhttpd\mhd_sockets.c" />
     <ClCompile Include="$(MhdSrc)microhttpd\mhd_itc.c" />
     <ClCompile Include="$(MhdSrc)microhttpd\mhd_compat.c" />
+ <ClCompile Include="$(MhdSrc)microhttpd\mhd_send.c" />
   </ItemGroup>
   <ItemGroup>
     <ClInclude Include="$(MhdSrc)include\autoinit_funcs.h" />
@@ -48,6 +49,7 @@
     <ClInclude Include="$(MhdSrc)microhttpd\mhd_itc.h" />
     <ClInclude Include="$(MhdSrc)microhttpd\mhd_itc_types.h" />
     <ClInclude Include="$(MhdSrc)microhttpd\mhd_compat.h" />
+ <ClInclude Include="$(MhdSrc)microhttpd\mhd_send.h" />
     <ClInclude Include="$(MhdW32Common)MHD_config.h" />
   </ItemGroup>
   <ItemGroup>
TagsNo tags attached.

Activities

Christian Grothoff

2019-10-26 19:43

manager   ~0015033

Fixed as suggested by reporter in 86186edb..fccdf422

Christian Grothoff

2021-09-02 17:54

manager   ~0018174

Fix committed to master branch.

Related Changesets

libmicrohttpd: master fccdf422

2019-10-26 19:40:51

Christian Grothoff

Details Diff
fix 0005944 as suggested by reporter Affected Issues
0005944
mod - w32/common/libmicrohttpd-files.vcxproj Diff File

Issue History

Date Modified Username Field Change
2019-10-22 17:48 pierrey New Issue
2019-10-26 19:43 Christian Grothoff Assigned To => Christian Grothoff
2019-10-26 19:43 Christian Grothoff Status new => resolved
2019-10-26 19:43 Christian Grothoff Resolution open => fixed
2019-10-26 19:43 Christian Grothoff Fixed in Version => 0.9.69
2019-10-26 19:43 Christian Grothoff Note Added: 0015033
2019-10-26 19:43 Christian Grothoff Target Version => 0.9.69
2019-12-15 14:22 Christian Grothoff Status resolved => closed
2021-09-02 17:54 Christian Grothoff Changeset attached => libmicrohttpd master fccdf422
2021-09-02 17:54 Christian Grothoff Note Added: 0018174